- HTTP request
- Path parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
- Try it!
Rejects a ChangeRequest.
HTTP request
POST https://dataplex.googleapis.com/v1/{name=projects/*/locations/*/changeRequests/*}:reject
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
name |
Required. The name of the ChangeRequest to reject. |
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{ "comment": string, "etag": string } |
| Fields | |
|---|---|
comment |
Optional. The reason for rejecting the ChangeRequest. |
etag |
Optional. The etag of the ChangeRequest. |
Response body
If successful, the response body contains an instance of ChangeRequest.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/dataplex.read-write
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permissions on the name resource:
dataplex.changeRequests.usedataplex.dataProducts.approve
For more information, see the IAM documentation.